IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/12
Addresses2^116
/64 networks2^52
- Network
2260::/12- First address
2260::- Last address
226f:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
- /64 networks (LANs)
- 4,503,599,627,370,496 (2^52)
- Full form
2260:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
6.2.2.ip6.arpa
Split into smaller subnets
2260::/12 makes 65,536 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2260::/28 | 2260:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2260:10::/28 | 2260:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2260:20::/28 | 2260:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2260:30::/28 | 2260:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2260:40::/28 | 2260:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2260:50::/28 | 2260:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2260:60::/28 | 2260:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2260:70::/28 | 2260:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2260:80::/28 | 2260:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2260:90::/28 | 2260:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2260:a0::/28 | 2260:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2260:b0::/28 | 2260:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2260:c0::/28 | 2260:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2260:d0::/28 | 2260:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2260:e0::/28 | 2260:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2260:f0::/28 | 2260:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2260:100::/28 | 2260:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2260:110::/28 | 2260:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2260:120::/28 | 2260:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2260:130::/28 | 2260:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2260:140::/28 | 2260:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2260:150::/28 | 2260:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2260:160::/28 | 2260:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2260:170::/28 | 2260:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2260:180::/28 | 2260:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2260:190::/28 | 2260:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2260:1a0::/28 | 2260:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2260:1b0::/28 | 2260:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2260:1c0::/28 | 2260:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2260:1d0::/28 | 2260:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2260:1e0::/28 | 2260:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2260:1f0::/28 | 2260:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2260:200::/28 | 2260:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2260:210::/28 | 2260:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2260:220::/28 | 2260:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2260:230::/28 | 2260:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2260:240::/28 | 2260:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2260:250::/28 | 2260:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2260:260::/28 | 2260:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2260:270::/28 | 2260:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2260:280::/28 | 2260:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2260:290::/28 | 2260:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2260:2a0::/28 | 2260:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2260:2b0::/28 | 2260:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2260:2c0::/28 | 2260:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2260:2d0::/28 | 2260:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2260:2e0::/28 | 2260:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2260:2f0::/28 | 2260:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2260:300::/28 | 2260:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2260:310::/28 | 2260:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2260:320::/28 | 2260:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2260:330::/28 | 2260:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2260:340::/28 | 2260:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2260:350::/28 | 2260:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2260:360::/28 | 2260:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2260:370::/28 | 2260:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2260:380::/28 | 2260:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2260:390::/28 | 2260:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2260:3a0::/28 | 2260:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2260:3b0::/28 | 2260:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2260:3c0::/28 | 2260:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2260:3d0::/28 | 2260:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2260:3e0::/28 | 2260:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2260:3f0::/28 | 2260:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2260:400::/28 | 2260:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2260:410::/28 | 2260:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2260:420::/28 | 2260:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2260:430::/28 | 2260:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2260:440::/28 | 2260:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2260:450::/28 | 2260:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2260:460::/28 | 2260:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2260:470::/28 | 2260:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2260:480::/28 | 2260:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2260:490::/28 | 2260:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2260:4a0::/28 | 2260:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2260:4b0::/28 | 2260:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2260:4c0::/28 | 2260:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2260:4d0::/28 | 2260:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2260:4e0::/28 | 2260:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2260:4f0::/28 | 2260:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2260:500::/28 | 2260:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2260:510::/28 | 2260:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2260:520::/28 | 2260:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2260:530::/28 | 2260:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2260:540::/28 | 2260:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2260:550::/28 | 2260:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2260:560::/28 | 2260:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2260:570::/28 | 2260:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2260:580::/28 | 2260:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2260:590::/28 | 2260:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2260:5a0::/28 | 2260:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2260:5b0::/28 | 2260:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2260:5c0::/28 | 2260:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2260:5d0::/28 | 2260:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2260:5e0::/28 | 2260:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2260:5f0::/28 | 2260:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2260:600::/28 | 2260:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2260:610::/28 | 2260:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2260:620::/28 | 2260:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2260:630::/28 | 2260:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2260:640::/28 | 2260:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2260:650::/28 | 2260:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2260:660::/28 | 2260:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2260:670::/28 | 2260:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2260:680::/28 | 2260:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2260:690::/28 | 2260:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2260:6a0::/28 | 2260:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2260:6b0::/28 | 2260:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2260:6c0::/28 | 2260:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2260:6d0::/28 | 2260:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2260:6e0::/28 | 2260:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2260:6f0::/28 | 2260:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2260:700::/28 | 2260:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2260:710::/28 | 2260:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2260:720::/28 | 2260:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2260:730::/28 | 2260:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2260:740::/28 | 2260:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2260:750::/28 | 2260:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2260:760::/28 | 2260:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2260:770::/28 | 2260:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2260:780::/28 | 2260:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2260:790::/28 | 2260:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2260:7a0::/28 | 2260:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2260:7b0::/28 | 2260:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2260:7c0::/28 | 2260:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2260:7d0::/28 | 2260:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2260:7e0::/28 | 2260:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2260:7f0::/28 | 2260:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2260:800::/28 | 2260:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2260:810::/28 | 2260:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2260:820::/28 | 2260:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2260:830::/28 | 2260:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2260:840::/28 | 2260:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2260:850::/28 | 2260:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2260:860::/28 | 2260:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2260:870::/28 | 2260:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2260:880::/28 | 2260:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2260:890::/28 | 2260:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2260:8a0::/28 | 2260:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2260:8b0::/28 | 2260:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2260:8c0::/28 | 2260:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2260:8d0::/28 | 2260:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2260:8e0::/28 | 2260:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2260:8f0::/28 | 2260:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2260:900::/28 | 2260:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2260:910::/28 | 2260:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2260:920::/28 | 2260:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2260:930::/28 | 2260:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2260:940::/28 | 2260:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2260:950::/28 | 2260:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2260:960::/28 | 2260:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2260:970::/28 | 2260:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2260:980::/28 | 2260:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2260:990::/28 | 2260:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2260:9a0::/28 | 2260:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2260:9b0::/28 | 2260:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2260:9c0::/28 | 2260:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2260:9d0::/28 | 2260:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2260:9e0::/28 | 2260:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2260:9f0::/28 | 2260:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2260:a00::/28 | 2260:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2260:a10::/28 | 2260:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2260:a20::/28 | 2260:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2260:a30::/28 | 2260:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2260:a40::/28 | 2260:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2260:a50::/28 | 2260:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2260:a60::/28 | 2260:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2260:a70::/28 | 2260:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2260:a80::/28 | 2260:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2260:a90::/28 | 2260:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2260:aa0::/28 | 2260:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2260:ab0::/28 | 2260:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2260:ac0::/28 | 2260:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2260:ad0::/28 | 2260:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2260:ae0::/28 | 2260:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2260:af0::/28 | 2260:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2260:b00::/28 | 2260:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2260:b10::/28 | 2260:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2260:b20::/28 | 2260:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2260:b30::/28 | 2260:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2260:b40::/28 | 2260:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2260:b50::/28 | 2260:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2260:b60::/28 | 2260:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2260:b70::/28 | 2260:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2260:b80::/28 | 2260:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2260:b90::/28 | 2260:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2260:ba0::/28 | 2260:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2260:bb0::/28 | 2260:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2260:bc0::/28 | 2260:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2260:bd0::/28 | 2260:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2260:be0::/28 | 2260:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2260:bf0::/28 | 2260:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2260:c00::/28 | 2260:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2260:c10::/28 | 2260:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2260:c20::/28 | 2260:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2260:c30::/28 | 2260:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2260:c40::/28 | 2260:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2260:c50::/28 | 2260:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2260:c60::/28 | 2260:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2260:c70::/28 | 2260:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2260:c80::/28 | 2260:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2260:c90::/28 | 2260:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2260:ca0::/28 | 2260:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2260:cb0::/28 | 2260:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2260:cc0::/28 | 2260:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2260:cd0::/28 | 2260:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2260:ce0::/28 | 2260:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2260:cf0::/28 | 2260:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2260:d00::/28 | 2260:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2260:d10::/28 | 2260:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2260:d20::/28 | 2260:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2260:d30::/28 | 2260:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2260:d40::/28 | 2260:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2260:d50::/28 | 2260:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2260:d60::/28 | 2260:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2260:d70::/28 | 2260:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2260:d80::/28 | 2260:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2260:d90::/28 | 2260:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2260:da0::/28 | 2260:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2260:db0::/28 | 2260:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2260:dc0::/28 | 2260:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2260:dd0::/28 | 2260:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2260:de0::/28 | 2260:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2260:df0::/28 | 2260:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2260:e00::/28 | 2260:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2260:e10::/28 | 2260:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2260:e20::/28 | 2260:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2260:e30::/28 | 2260:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2260:e40::/28 | 2260:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2260:e50::/28 | 2260:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2260:e60::/28 | 2260:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2260:e70::/28 | 2260:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2260:e80::/28 | 2260:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2260:e90::/28 | 2260:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2260:ea0::/28 | 2260:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2260:eb0::/28 | 2260:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2260:ec0::/28 | 2260:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2260:ed0::/28 | 2260:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2260:ee0::/28 | 2260:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2260:ef0::/28 | 2260:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2260:f00::/28 | 2260:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2260:f10::/28 | 2260:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2260:f20::/28 | 2260:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2260:f30::/28 | 2260:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2260:f40::/28 | 2260:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2260:f50::/28 | 2260:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2260:f60::/28 | 2260:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2260:f70::/28 | 2260:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2260:f80::/28 | 2260:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2260:f90::/28 | 2260:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2260:fa0::/28 | 2260:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2260:fb0::/28 | 2260:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2260:fc0::/28 | 2260:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2260:fd0::/28 | 2260:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2260:fe0::/28 | 2260:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2260:ff0::/28 | 2260:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |